NullContext (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.spi
Class NullContext

    java.lang.Object
      org.apache.hadoop.metrics.spi.AbstractMetricsContext
          org.apache.hadoop.metrics.spi.NullContext

All Implemented Interfaces:
  MetricsContext

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class NullContext

extends AbstractMetricsContext

Null metrics context: a metrics context which does nothing. Used as the default context, so that no performance data is emitted if no configuration data is found.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`AbstractMetricsContext.MetricMap, AbstractMetricsContext.TagMap`

Field Summary

Fields inherited from interface org.apache.hadoop.metrics.MetricsContext
`DEFAULT_PERIOD`

Constructor Summary
`NullContext()` Deprecated. Creates a new instance of NullContext

Method Summary
`protected void` | `emitRecord(String contextName, String recordName, OutputRecord outRec)` Deprecated. Do-nothing version of emitRecord
`protected void` | `remove(MetricsRecordImpl record)` Deprecated. Do-nothing version of remove
`void` | `startMonitoring()` Deprecated. Do-nothing version of startMonitoring
`protected void` | `update(MetricsRecordImpl record)` Deprecated. Do-nothing version of update

Methods inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`close, createRecord, flush, getAllRecords, getAttribute, getAttributeTable, getContextFactory, getContextName, getPeriod, init, isMonitoring, newRecord, parseAndSetPeriod, registerUpdater, setPeriod, stopMonitoring, unregisterUpdater`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullContext

    @InterfaceAudience.Private
    public NullContext()

  Deprecated.
  Creates a new instance of NullContext

Method Detail

### startMonitoring

    @InterfaceAudience.Private
    public void startMonitoring()

  Deprecated.
  Do-nothing version of startMonitoring

  Specified by:
    `startMonitoring` in interface `MetricsContext`
  Overrides:
    `startMonitoring` in class `AbstractMetricsContext`

### emitRecord

    @InterfaceAudience.Private
    protected void emitRecord(String contextName,
                                                        String recordName,
                                                        OutputRecord outRec)

  Deprecated.
  Do-nothing version of emitRecord

  Specified by:
    `emitRecord` in class `AbstractMetricsContext`

### update

    @InterfaceAudience.Private
    protected void update(MetricsRecordImpl record)

  Deprecated.
  Do-nothing version of update

  Overrides:
    `update` in class `AbstractMetricsContext`

### remove

    @InterfaceAudience.Private
    protected void remove(MetricsRecordImpl record)

  Deprecated.
  Do-nothing version of remove

  Overrides:
    `remove` in class `AbstractMetricsContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation